View Issue Details

IDProjectCategoryView StatusLast Update
0001752Ham Radio DeluxeBugpublic2017-06-19 21:23
Reporteruser36 
Assigned ToERIK 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.8.323 
Summary0001752: DM-780 Frequency quits tracking Rig Control after launch
DescriptionDM radio pane does not track frequency from RC after initially reading info from Rig Control. Frequency changes from DM to RC do propagate.

Also, Mode and other settings do not populate on DM radio pane.

Steps To Reproduce- Launch RC. Connect to any rig, including Dem-O-Matic
- Launch DM
- Observe that frequency matches RC
- Observe that Mode dropdowns stay on "Mode."
- Change frequency and settings in RC
- Observe that the changes are not reflected in DM
- In DM, change the frequency
- Observe frequency changes in RC
- In DM, change the mode
- Observe that mode changes in RC, but is not reflected in DM
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
Testing

Relationships

Activities

user36

2015-01-06 19:33

  ~0000597

Appears to be resolved in build 322.

user36

2015-01-06 20:38

  ~0000609

Fixed in build 322.

Issue History

Date Modified Username Field Change
2014-11-24 20:16 user36 New Issue
2014-11-24 20:16 user36 Status new => assigned
2014-11-24 20:16 user36 Assigned To => ERIK
2014-11-26 12:26 WA9PIE Summary Bug: DM-780 Frequency quits tracking Rig Control after launch => Beta Bug: DM-780 Frequency quits tracking Rig Control after launch
2015-01-06 19:33 user36 Note Added: 0000597
2015-01-06 19:33 user36 Status assigned => resolved
2015-01-06 19:33 user36 Resolution open => fixed
2015-01-06 20:38 user36 Note Added: 0000609
2015-01-06 20:38 user36 Status resolved => closed
2015-01-06 20:48 user36 Project @9@ => Ham Radio Deluxe
2015-09-30 12:01 WA9PIE Fix Build => (select)
2015-09-30 12:01 WA9PIE Module => (select)
2015-09-30 12:01 WA9PIE Release => (select)
2015-09-30 12:01 WA9PIE Proposed Release => TBD
2015-09-30 12:01 WA9PIE Summary Beta Bug: DM-780 Frequency quits tracking Rig Control after launch => DM-780 Frequency quits tracking Rig Control after launch
2015-09-30 13:14 WA9PIE Module (select) => DM780
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 21:23 WA9PIE Fixed in Version => 6.2.8.323
2017-06-19 21:23 WA9PIE Sub-Module => (select)